読者です 読者をやめる 読者になる 読者になる

Ruby on Railsインストール in Windows

Ruby Rails

Ruby

http://rubyforge.org/frs/?group_id=167よりver1.8.6をダウンロードし実行
Path等は通されているのですぐ使うことができます

Rails

RubyGemsよりインストール

gem install rails
gem install rails -v 1.2.6

通常インストールでは最新版がインストールされます。下はバージョン指定

普通にインストール始めると変なメッセージと選択肢がでてきます

Install required dependency actionpack? [Yn]
Install required dependency actionmailer? [Yn]
Install required dependency actionwebservice? [Yn]

必要な物が足りないよということです。手動でいれることもできます。

手動インストール

rubyディレクトリに各gemファイルをおいてgemのlocalオプションをつけてインストール

gem install activesupport --local
gem install actionpack --local
gem install activerecord --local
gem install actionwebservice --local
gem install actionmailer --local
gem install rails --local
自動インストール

選択肢にYを押してインストールするか下記オプションをつけると自動的に入れてくれます。

gem install rails --include-dependencies

するとなにやらインストールしてくれます

Successfully installed rails-1.2.6
Successfully installed activesupport-1.13.6
Successfully installed actionmailer-1.3.6
Successfully installed actionwebservice-1.2.6
Installing ri documentation for actionpack-1.13.6...
Installing ri documentation for actionmailer-1.3.6...
Installing ri documentation for actionwebservice-1.2.6...
Installing RDoc documentation for actionpack-1.13.6...
Installing RDoc documentation for actionmailer-1.3.6...
Installing RDoc documentation for actionwebservice-1.2.6...

最後にバージョン確認なんかしちゃって完了です。

ruby -v
gem -v
rails -v